﻿namespace WpfInfragistics18Experiments
{
    public class DataPoint:ObservableModel
    {

        #region Attributes
        private double x;

        private double y;

        private double z;
        #endregion

        #region Properties
        public double X
        {
            get { return x; }
            set
            {
                if (Equals(value, x)) return;
                x = value;
                OnPropertyChanged(nameof(X));
            }
        }


        public double Y
        {
            get { return y; }
            set
            {
                if (Equals(value, y)) return;
                y = value;
                OnPropertyChanged(nameof(Y));
            }
        }


        public double Z
        {
            get { return z; }
            set
            {
                if (Equals(value, z)) return;
                z = value;
                OnPropertyChanged(nameof(Z));
            }
        }
        #endregion

        #region Delegates

        #endregion

        #region Events

        #endregion

        #region Constructors
        public DataPoint(double x, double y, double z)
        {
            this.x = x;
            this.y = y;
            this.z = z;
        }
        #endregion

        #region DataPoint Members

        #endregion
    }
}